/* definitions */
$data-style-list: 
	"":"Auto",
	"d-button-solid button-style-light":"Button bright",
	"d-button-solid button-style-dark":"Button dark",
	"d-button-solid button-style-color":"Button color"
;
$data-email-style-list = $data-style-list;

$data-align-list:
	"":"Auto",
	"text-align-left":"Left",
	"text-align-center":"Center",
	"text-align-right":"Right"
;
$data-email-align-list:
	"":"Auto",
	"text-align-left":"Left",
	"text-align-right":"Right"
;

$data-fitting-list:
	"":"Auto",
	"mod-display-block":"Full width"
;
$data-email-fitting-list = $data-fitting-list;

$data-position-list:
	"":"Auto",
	"mod-align-left":"Left",
	"mod-align-center":"Center",
	"mod-align-right":"Right"
;
$data-email-position-list = $data-position-list;


/* wrapper */
.link-wrap {
	display: inline-block;
    margin-top: look/$spacing-brick-text-top;
    margin-bottom: look/$spacing-brick-text-bottom;
    
    &:first-child {
		margin-top: 0;
	}
	
	&:last-child {
		margin-bottom: 0;
	}
	
	/* bo fix */
	&.fe:last-child {
    	margin-bottom: look/$spacing-brick-text-bottom;
	}
}

.link {
    margin-top: look/$spacing-brick-text-top;
    margin-bottom: look/$spacing-brick-text-bottom;
	font-size: look/$font-size-s;
	outline: none;
	color: colors/$deco2;
	display: inline-block;
	line-height: look/$lineheight-normal;
	
	&:first-child {
		margin-top: 0;
	}
	
	&:last-child {
		margin-bottom: 0;
	}
	
	&:hover {
		text-decoration: underline;
	}
	
	> .icon {
		margin-right:7px;
		
		&.icon-arrow-triangle-right {
			position:relative;
			top:1px;
		}
	}
}

.b-link-more {
	margin-left:25px; 
	.icon {
		margin-right:5px;
	}
}

.multicolumn.link {
	color: colors/$grey1;
	
	&:hover {
		color: colors/$deco1;
		text-decoration: none;
	}
}

/* different link colors in boxes */
.d-box-dark .link {
}
.d-box-color .link {
}


.link.link-Content:hover {
	text-decoration: none;
}

/* button styles */
.content .d-button-solid:before {
	content: "";
}

.d-button-solid.button-style-light {
	color: colors/$grey7 !important; 
	
	&:hover {
		color: colors/$grey7;
	}
}

.d-button-solid.button-style-dark {
	background-color: colors/$grey1;
	border-color: colors/$grey1;
	color: colors/$grey7;
	
	&:hover {
		background-color: colors/$deco1;
		border-color: colors/$deco1;
		color: colors/$grey7;
	}
}

.d-button-solid.button-style-color {
	background-color: colors/$deco1;
	border-color: colors/$deco1;
	color: colors/$grey7;
}

.d-button-solid.text-align-left { text-align: left; }
.d-button-solid.text-align-center { text-align: center; }
.d-button-solid.text-align-right { text-align: right; }



.d-underlined {
	color: colors/$deco1;
	padding-bottom: 5px;
	border-bottom: 4px solid colors/$transparent;
	transition: border 0.3s ease 0s;
	sv-txt-font: look/$font-a-bold;
	
	&.active {
		border-bottom-color: colors/$deco1;
	}
	
	&:hover {
		border-bottom: 4px solid colors/$deco1;
	}
	
	&.active {
		border-bottom: 4px solid colors/$deco1;
	}
}
